Bug 1113 - Permissions on /dev/null /dev/zero
Permissions on /dev/null /dev/zero
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: dev (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-10 22:42 EST by stewart
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-02-12 12:51:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stewart 1999-02-10 22:42:29 EST
Ok for the longest time, I thought this was an armv4l/rpm
problem.  Now I'm not too certain.  When I rebuild
dev-2.6-2.src.rpm it gets some permissions wrong.  The ones
I know are /dev/null and /dev/zero.  These used to be
[root@zhadum SPECS]# ls -l /dev/null /dev/zero
crw-rw-rw- 1 root root       1,   3 Jun 25  1998 /dev/null
crw-rw-rw- 1 root root       1,   5 May  5  1998 /dev/zero

But are now:
[root@zhadum dev]# ls -l null zero
crw-r--r--   1 root     root       1,   3 May  5  1998 null
crw-r--r--   1 root     root       1,   5 May  5  1998 zero

Looking in the spec file, I see that the `p' option was not
used when untaring.  Adding it in seems to fix things.
Comment 1 Jeff Johnson 1999-02-12 12:51:59 EST
The Raw Hide dev-2.6-3 rpm uses -p when untarring.
Please reopen this bug if using that src.rpm doesn't fix your
problem.

Note You need to log in before you can comment on or make changes to this bug.